Discussion:
please test staged tycho 0.17.0
(too old to reply)
Sievers, Jan
2013-03-18 10:58:05 UTC
Permalink
Tycho milestone release 0.17.0 has been staged.
For details of new features and bugfixes, see release notes [1].

Please help by testing the staged milestone build.
To use it, change your tycho version to 0.17.0 and add snippet [2] to your pom.
We encourage you to also test with an empty local Maven repository,
so that p2's new Apache httpclient v4 is tested more extensively.

We plan to promote this release on Friday unless major regressions are found (and EclipseCon is canceled ;).

Regards,
Tycho team

---

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-913/</url>
</pluginRepository>
</pluginRepositories>
Andreas Sewe
2013-03-18 13:09:19 UTC
Permalink
Hi,
Tycho milestone release 0.17.0 has been staged. For details of new
features and bugfixes, see release notes [1].
Please help by testing the staged milestone build.
testing with Eclipse Code Recommenders
<https://git.eclipse.org/c/recommenders/org.eclipse.recommenders.git/>
encountered some
problems/incompatibilities:

First of all,
target-platform-configuration/configuration/executionEnvironmentDefault
had to be set to JavaSE-1.6. If that was not set, the following
[ERROR] Internal error: java.lang.RuntimeException: "No solution
found because the problem is unsatisfiable.": ["Unable to satisfy
dependency from com.sun.jersey.core 1.8.0.201302271349 to package
javax.activation 0.0.0.", "Unable to satisfy dependency from
com.sun.jersey.core 1.8.0.201302271349 to package javax.xml.bind
0.0.0.", "Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.bind.annotation 0.0.0.",
"Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.stream 0.0.0.", "No solution
found because the problem is unsatisfiable."] -> [Help 1]
java.lang.RuntimeException: "No solution found because the problem is
unsatisfiable.": ["Unable to satisfy dependency from
com.sun.jersey.core 1.8.0.201302271349 to package javax.activation
0.0.0.", "Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.bind 0.0.0.", "Unable to
satisfy dependency from com.sun.jersey.core 1.8.0.201302271349 to
package javax.xml.bind.annotation 0.0.0.", "Unable to satisfy
dependency from com.sun.jersey.core 1.8.0.201302271349 to package
javax.xml.stream 0.0.0.", "No solution found because the problem is
unsatisfiable."]
While the release notes mention that the behavior w.r.t. to execution
environments has changed, I was nevertheless surprised by this, as the
com.sun.jersey.core bundle explicitly declares a
"Bundle-RequiredExecutionEnvironment: JavaSE-1.6" in its manifest.
Shouldn't this be enough?

That being said, setting executionEnvironmentDefault sufficed as a
workaround.
[ERROR] Failed to execute goal
org.eclipse.tycho.extras:tycho-source-feature-plugin:0.17.0:source-feature
(source-feature) on project
org.eclipse.recommenders.feature.3rd.orbit: Could not generate source
org.eclipse.recommenders.feature:org.eclipse.recommenders.feature.3rd.orbit:1.0.3-SNAPSHOT
[ERROR] Missing sources for plugins [com.google.gson_2.1.0.v201203072145, org.jboss.netty_3.2.5.Final-20130129-0421]
Source feature generation now fails the build if it cannot find the
sources of all plugins. Now, Orbit's com.google.gson does have a source
bundle
<http://download.eclipse.org/tools/orbit/downloads/drops/R20130118183705/>,
but how to tell Tycho where to find it?

Setting appropriate excludes, the build proceeds further. However, for
some strange reason it cannot find the source of
org.eclipse.recommenders.tests, although that is build in the same
reactor (and before the feature in question).
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-source-feature-plugin:0.17.0:source-feature (source-feature) on project org.eclipse.recommenders.feature.3rd.rcp.nonjuno: Could not generate source feature for project MavenProject: org.eclipse.recommenders.feature:org.eclipse.recommenders.feature.3rd.rcp.nonjuno:1.0.3-SNAPSHOT
[ERROR] Missing sources for plugins [org.eclipse.recommenders.tests_1.0.3.v20130318-1255-b000]
This at least looks like a "real" bug to me.

Hope this helps.

Andreas
--
Codetrails.com - the knowledge transfer company
Oberlies, Tobias
2013-03-18 14:30:20 UTC
Permalink
Hi Andreas,

See my comments on the execution environment problem below.
Post by Andreas Sewe
First of all,
target-platform-configuration/configuration/executionEnvironmentDefault
had to be set to JavaSE-1.6. If that was not set, the following
[ERROR] Internal error: java.lang.RuntimeException: "No solution
found because the problem is unsatisfiable.": ["Unable to satisfy
dependency from com.sun.jersey.core 1.8.0.201302271349 to package
javax.activation 0.0.0.", "Unable to satisfy dependency from
com.sun.jersey.core 1.8.0.201302271349 to package javax.xml.bind
0.0.0.", "Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.bind.annotation 0.0.0.",
"Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.stream 0.0.0.", "No solution
found because the problem is unsatisfiable."] -> [Help 1]
java.lang.RuntimeException: "No solution found because the problem is
unsatisfiable.": ["Unable to satisfy dependency from
com.sun.jersey.core 1.8.0.201302271349 to package javax.activation
0.0.0.", "Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.bind 0.0.0.", "Unable to
satisfy dependency from com.sun.jersey.core 1.8.0.201302271349 to
package javax.xml.bind.annotation 0.0.0.", "Unable to satisfy
dependency from com.sun.jersey.core 1.8.0.201302271349 to package
javax.xml.stream 0.0.0.", "No solution found because the problem is
unsatisfiable."]
While the release notes mention that the behavior w.r.t. to execution
environments has changed, I was nevertheless surprised by this, as the
com.sun.jersey.core bundle explicitly declares a
"Bundle-RequiredExecutionEnvironment: JavaSE-1.6" in its manifest.
Shouldn't this be enough?
I suppose that the problem does not occur while building com.sun.jersey.core, but while building a bundle which depends on com.sun.jersey.core. In this case, Tycho checks if it would be possible to install & run your bundle in the given context, i.e. execution environment and target platform.

With the execution environment 1.5 this would fail because some of your mandatory dependencies requires Java 1.6 in two ways:
- via the BREE, and
- via imports of packages available in Java 1.6

p2 currently doesn't encode the first constraint, so it only notices that there is no provider for packages like javax.activation. This error message is unfortunate because having a provider for that package wouldn't help, but only lead to an error message "Missing Constraint: Bundle-RequiredExecutionEnvironment: JavaSE-1.6" from the Equinox resolver which is called by Tycho after the p2 resolver.
Post by Andreas Sewe
That being said, setting executionEnvironmentDefault sufficed as a
workaround.
This is the simplest option. You could also specify a Bundle-RequiredExecutionEnvironment: JavaSE-1.6 header in you bundle, but you'd still need the executionEnvironmentDefault so that the dependency resolution of features works.

This really makes me think that the default EE should be 1.6 or even 1.7, or otherwise most people will need to set the executionEnvironmentDefault POM parameter... Not for 0.17.0 though ;-)

Regards
Tobias
Andreas Sewe
2013-03-18 14:41:52 UTC
Permalink
Hi Tobias,

thanks for the detailed explanation. :-)
Post by Oberlies, Tobias
See my comments on the execution environment problem below.
Post by Andreas Sewe
First of all,
target-platform-configuration/configuration/executionEnvironmentDefault
had to be set to JavaSE-1.6. If that was not set, the following
[ERROR] Internal error: java.lang.RuntimeException: "No solution
found because the problem is unsatisfiable.": ["Unable to satisfy
dependency from com.sun.jersey.core 1.8.0.201302271349 to package
javax.activation 0.0.0.", "Unable to satisfy dependency from
com.sun.jersey.core 1.8.0.201302271349 to package javax.xml.bind
0.0.0.", "Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.bind.annotation 0.0.0.",
"Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.stream 0.0.0.", "No solution
found because the problem is unsatisfiable."] -> [Help 1]
java.lang.RuntimeException: "No solution found because the problem is
unsatisfiable.": ["Unable to satisfy dependency from
com.sun.jersey.core 1.8.0.201302271349 to package javax.activation
0.0.0.", "Unable to satisfy dependency from com.sun.jersey.core
1.8.0.201302271349 to package javax.xml.bind 0.0.0.", "Unable to
satisfy dependency from com.sun.jersey.core 1.8.0.201302271349 to
package javax.xml.bind.annotation 0.0.0.", "Unable to satisfy
dependency from com.sun.jersey.core 1.8.0.201302271349 to package
javax.xml.stream 0.0.0.", "No solution found because the problem is
unsatisfiable."]
While the release notes mention that the behavior w.r.t. to execution
environments has changed, I was nevertheless surprised by this, as the
com.sun.jersey.core bundle explicitly declares a
"Bundle-RequiredExecutionEnvironment: JavaSE-1.6" in its manifest.
Shouldn't this be enough?
I suppose that the problem does not occur while building com.sun.jersey.core, but while building a bundle which depends on com.sun.jersey.core. In this case, Tycho checks if it would be possible to install & run your bundle in the given context, i.e. execution environment and target platform.
Correct. The bundle com.sun.jersey.core was built ages ago in a
different reactor and published on an update site.
Post by Oberlies, Tobias
- via the BREE, and
- via imports of packages available in Java 1.6
p2 currently doesn't encode the first constraint, so it only notices that there is no provider for packages like javax.activation. This error message is unfortunate because having a provider for that package wouldn't help, but only lead to an error message "Missing Constraint: Bundle-RequiredExecutionEnvironment: JavaSE-1.6" from the Equinox resolver which is called by Tycho after the p2 resolver.
Post by Andreas Sewe
That being said, setting executionEnvironmentDefault sufficed as a
workaround.
This is the simplest option. You could also specify a Bundle-RequiredExecutionEnvironment: JavaSE-1.6 header in you bundle, but you'd still need the executionEnvironmentDefault so that the dependency resolution of features works.
All my own bundles have Bundle-RequiredExecutionEnvironment: JavaSE-1.6
already, but as you said this doesn't help with the feature.
Post by Oberlies, Tobias
This really makes me think that the default EE should be 1.6 or even 1.7, or otherwise most people will need to set the executionEnvironmentDefault POM parameter... Not for 0.17.0 though ;-)
Fair enough. But in light of
<https://bugs.eclipse.org/bugs/show_bug.cgi?id=401310> a future default
of 1.6 seems sensible.

Best wishes,

Andreas
--
Codetrails.com - the knowledge transfer company
Sievers, Jan
2013-03-19 07:52:24 UTC
Permalink
comments inline
Post by Andreas Sewe
Source feature generation now fails the build if it cannot find the
sources of all plugins.
AFAIK this behaviour has always been this way.
The point is probably that up to now you did not generate any source feature due to behaviour change "do not check for magic sourceTemplateFeature/ folder" [1]
Post by Andreas Sewe
Now, Orbit's com.google.gson does have a source
bundle
<http://download.eclipse.org/tools/orbit/downloads/drops/R20130118183705/>,
Post by Andreas Sewe
but how to tell Tycho where to find it?
known bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=374663
Post by Andreas Sewe
Setting appropriate excludes, the build proceeds further. However, for
some strange reason it cannot find the source of
org.eclipse.recommenders.tests, although that is build in the same
reactor (and before the feature in question).
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-source-feature-plugin:0.17.0:source-feature (source-feature) on project org.eclipse.recommenders.feature.3rd.rcp.nonjuno: Could not generate source feature for project MavenProject: org.eclipse.recommenders.feature:org.eclipse.recommenders.feature.3rd.rcp.nonjuno:1.0.3-SNAPSHOT
[ERROR] Missing sources for plugins [org.eclipse.recommenders.tests_1.0.3.v20130318-1255-b000]
This at least looks like a "real" bug to me.
some observations in [3] that may cause this:

- you don't configure p2-metadata goal as documented [2]
- you changed the lifecycle phase of plugin-source goal

if you can provide a small standalone example that reproduces the bug even though following docs [2], open an issue.

Regards,
Jan

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.17#Source_Features
[2] http://wiki.eclipse.org/Tycho/Reference_Card#Source_Features
[3] https://git.eclipse.org/c/recommenders/org.eclipse.recommenders.git/tree/pom.xml
Andreas Sewe
2013-03-19 15:34:34 UTC
Permalink
Hi Jan,
Post by Sievers, Jan
Post by Andreas Sewe
Source feature generation now fails the build if it cannot find the
sources of all plugins.
AFAIK this behaviour has always been this way.
The point is probably that up to now you did not generate any source feature due to behaviour change "do not check for magic sourceTemplateFeature/ folder" [1]
Right, the org.eclipse.recommenders.feature.3rd.rcp.nonjuno feature in
question didn't have a sourceTemplateFeature folder, so Tycho didn't try
to generate a source feature previously.
Post by Sievers, Jan
Post by Andreas Sewe
Now, Orbit's com.google.gson does have a source
bundle
<http://download.eclipse.org/tools/orbit/downloads/drops/R20130118183705/>,
Post by Andreas Sewe
but how to tell Tycho where to find it?
known bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=374663
Post by Andreas Sewe
Setting appropriate excludes, the build proceeds further. However, for
some strange reason it cannot find the source of
org.eclipse.recommenders.tests, although that is build in the same
reactor (and before the feature in question).
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-source-feature-plugin:0.17.0:source-feature (source-feature) on project org.eclipse.recommenders.feature.3rd.rcp.nonjuno: Could not generate source feature for project MavenProject: org.eclipse.recommenders.feature:org.eclipse.recommenders.feature.3rd.rcp.nonjuno:1.0.3-SNAPSHOT
[ERROR] Missing sources for plugins [org.eclipse.recommenders.tests_1.0.3.v20130318-1255-b000]
This at least looks like a "real" bug to me.
- you don't configure p2-metadata goal as documented [2]
- you changed the lifecycle phase of plugin-source goal
Here's the output of help:effective-pom.
Post by Sievers, Jan
<plugin>
<groupId>org.eclipse.tycho.extras</groupId>
<artifactId>tycho-source-feature-plugin</artifactId>
<version>0.17.0</version>
<executions>
<execution>
<id>source-feature</id>
<goals>
<goal>source-feature</goal>
</goals>
<configuration>
<excludes>
<plugin id="com.google.gson" />
<plugin id="com.google.inject.assistedinject" />
<plugin id="com.google.inject.multibindings" />
<plugin id="org.jboss.netty" />
<plugin id="com.ning.async-http-client" />
<feature id="org.eclipse.recommenders.feature.3rd.orbit" />
<feature id="org.eclipse.recommenders.feature.3rd.rcp.nonorbit" />
</excludes>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>tycho-p2-plugin</artifactId>
<version>0.17.0</version>
<executions>
<execution>
<id>default-p2-metadata-default</id>
<configuration>
<attachP2Metadata>false</attachP2Metadata>
</configuration>
</execution>
<execution>
<id>attach-p2-metadata</id>
<phase>package</phase>
<goals>
<goal>p2-metadata</goal>
</goals>
</execution>
</executions>
</plugin>
So, the only difference to the docs is the default-p2-metadata-default
execution, which I added to get rid of a warning. See
<http://dev.eclipse.org/mhonarc/lists/tycho-user/msg03572.html> for my
initial mail about this to this list.
Post by Sievers, Jan
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-source-feature-plugin:0.17.0:source-feature (source-feature) on project org.eclipse.recommenders.feature.3rd.rcp.nonjuno: Could not generate source feature for project MavenProject: org.eclipse.recommenders.feature:org.eclipse.recommenders.feature.3rd.rcp.nonjuno:1.0.3-SNAPSHOT
[ERROR] Missing sources for plugins [org.eclipse.recommenders.tests_1.0.3.v20130319-1526-b000]
if you can provide a small standalone example that reproduces the bug even though following docs [2], open an issue.
Will put that onto my TODO list. May take a while to boil that down,
though. (In the meantime, I could offer you a Gerrit commit that
illustrates the issue on our full project.)

Best wishes,

Andreas
--
Codetrails.com - the knowledge transfer company
Sievers, Jan
2013-03-19 15:46:38 UTC
Permalink
I can build recommenders with tycho 0.17.0. See patch draft attached.

Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Andreas Sewe
Sent: Dienstag, 19. März 2013 16:35
To: tycho-***@eclipse.org
Subject: Re: [tycho-user] please test staged tycho 0.17.0

Hi Jan,
Post by Sievers, Jan
Post by Andreas Sewe
Source feature generation now fails the build if it cannot find the
sources of all plugins.
AFAIK this behaviour has always been this way.
The point is probably that up to now you did not generate any source feature due to behaviour change "do not check for magic sourceTemplateFeature/ folder" [1]
Right, the org.eclipse.recommenders.feature.3rd.rcp.nonjuno feature in
question didn't have a sourceTemplateFeature folder, so Tycho didn't try
to generate a source feature previously.
Post by Sievers, Jan
Post by Andreas Sewe
Now, Orbit's com.google.gson does have a source
bundle
<http://download.eclipse.org/tools/orbit/downloads/drops/R20130118183705/>,
Post by Andreas Sewe
but how to tell Tycho where to find it?
known bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=374663
Post by Andreas Sewe
Setting appropriate excludes, the build proceeds further. However, for
some strange reason it cannot find the source of
org.eclipse.recommenders.tests, although that is build in the same
reactor (and before the feature in question).
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-source-feature-plugin:0.17.0:source-feature (source-feature) on project org.eclipse.recommenders.feature.3rd.rcp.nonjuno: Could not generate source feature for project MavenProject: org.eclipse.recommenders.feature:org.eclipse.recommenders.feature.3rd.rcp.nonjuno:1.0.3-SNAPSHOT
[ERROR] Missing sources for plugins [org.eclipse.recommenders.tests_1.0.3.v20130318-1255-b000]
This at least looks like a "real" bug to me.
- you don't configure p2-metadata goal as documented [2]
- you changed the lifecycle phase of plugin-source goal
Here's the output of help:effective-pom.
Post by Sievers, Jan
<plugin>
<groupId>org.eclipse.tycho.extras</groupId>
<artifactId>tycho-source-feature-plugin</artifactId>
<version>0.17.0</version>
<executions>
<execution>
<id>source-feature</id>
<goals>
<goal>source-feature</goal>
</goals>
<configuration>
<excludes>
<plugin id="com.google.gson" />
<plugin id="com.google.inject.assistedinject" />
<plugin id="com.google.inject.multibindings" />
<plugin id="org.jboss.netty" />
<plugin id="com.ning.async-http-client" />
<feature id="org.eclipse.recommenders.feature.3rd.orbit" />
<feature id="org.eclipse.recommenders.feature.3rd.rcp.nonorbit" />
</excludes>
</configuration>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.eclipse.tycho</groupId>
<artifactId>tycho-p2-plugin</artifactId>
<version>0.17.0</version>
<executions>
<execution>
<id>default-p2-metadata-default</id>
<configuration>
<attachP2Metadata>false</attachP2Metadata>
</configuration>
</execution>
<execution>
<id>attach-p2-metadata</id>
<phase>package</phase>
<goals>
<goal>p2-metadata</goal>
</goals>
</execution>
</executions>
</plugin>
So, the only difference to the docs is the default-p2-metadata-default
execution, which I added to get rid of a warning. See
<http://dev.eclipse.org/mhonarc/lists/tycho-user/msg03572.html> for my
initial mail about this to this list.
Post by Sievers, Jan
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-source-feature-plugin:0.17.0:source-feature (source-feature) on project org.eclipse.recommenders.feature.3rd.rcp.nonjuno: Could not generate source feature for project MavenProject: org.eclipse.recommenders.feature:org.eclipse.recommenders.feature.3rd.rcp.nonjuno:1.0.3-SNAPSHOT
[ERROR] Missing sources for plugins [org.eclipse.recommenders.tests_1.0.3.v20130319-1526-b000]
if you can provide a small standalone example that reproduces the bug even though following docs [2], open an issue.
Will put that onto my TODO list. May take a while to boil that down,
though. (In the meantime, I could offer you a Gerrit commit that
illustrates the issue on our full project.)

Best wishes,

Andreas
--
Codetrails.com - the knowledge transfer company
Andreas Sewe
2013-03-19 15:54:35 UTC
Permalink
Hi Jan,
Post by Sievers, Jan
I can build recommenders with tycho 0.17.0. See patch draft attached.
awesome! Thanks a lot. Works fine.

FWIW, if you want to investigate what we did wrong (and where maybe more
documentation is needed ;-), here's our change in Gerrit:
<https://git.eclipse.org/r/#/c/11313/>.

Best wishes,

Andreas
--
Codetrails.com - the knowledge transfer company
Oliver Pfau
2013-03-20 07:24:56 UTC
Permalink
Hi,

it works for me...thanks :)

Regards
Oliver
Jeff MAURY
2013-03-20 09:41:14 UTC
Permalink
OK now that I fixed the dependencies for running the DirectorApp through
the eclipserun plugin.
Works for my multi feature based product.
Tested on an Eclipse 3.7 target based platform.
Now testing for Eclipse 3.5, Eclipse 3.6, Eclipse 4.2 and Eclipse 4.3
I will let you if I met some problems

Regards
Jeff
Post by Oliver Pfau
Hi,
it works for me...thanks :)
Regards
Oliver
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
--
Jeff MAURY


"Legacy code" often differs from its suggested alternative by actually
working and scaling.
- Bjarne Stroustrup

http://www.jeffmaury.com
http://riadiscuss.jeffmaury.com
http://www.twitter.com/jeffmaury
Rizzo, Eric
2013-03-18 18:31:25 UTC
Permalink
It completes without error on our product build, which includes a custom
target platform and a feature-based product. I haven't yet tested the
packaged output executables, but no build errors at least.

Eric
Post by Sievers, Jan
Tycho milestone release 0.17.0 has been staged.
For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build.
To use it, change your tycho version to 0.17.0 and add snippet [2] to
your pom.
We encourage you to also test with an empty local Maven repository,
so that p2's new Apache httpclient v4 is tested more extensively.
We plan to promote this release on Friday unless major regressions are
found (and EclipseCon is canceled ;).
Regards,
Tycho team
---
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-913/</u
rl>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Justin Georgeson
2013-03-18 22:36:29 UTC
Permalink
I'm running into issues with the changes to either the eclipserun plugin or the executionenvironment. First the sitedocs-extras link in the release notes [1] doesn't work so my only references was the bug [2]. We have an internally developed Eclipse application that takes a feature name, and it iterates over included plugins/features in order to extract the native libraries from any native fragments into a common bin folder for setting PATH/LD_LIBRARY_PATH (because the native libs from some plugins depend on the native libs from other plugins, transcending several levels transitive dependencies). The plugin jar for this application is deployed to a P2 repo that is part of the build target platform. The feature that I want the application to use is part of my reactor. I can, if absolutely necessary, not build the feature in the reactor. I've done that locally to progress with my testing of 0.17.0. So I've added the P2 repository to my configuration of eclipserun, and am now seeing the eclipserun execution fail trying to find a manifest.mf/plugin.xml/fragment.xml in a cached feature jar.

[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run (nativelibs-3rdparty) on project com.lgc.thirdparties: Execution nativelibs-3rdparty of goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run
failed: Exception parsing OSGi MANIFEST C:\Users\hbl4218\.m2\repository\p2\org\eclipse\update\feature\Hamcrest.feature\1.1.0.73409\Hamcrest.feature-1.1.0.73409.jar: Could not find a META-INF/MANIFEST.MF, plugin.xml or a fragment.xml in C:\Users\hbl4218\.m2\repository\p2\org\eclipse\update\feature\Hamcrest.feature\1.1.0.73409\Hamcrest.feature-1.1.0.73409.jar. -> [Help 1]

This feature jar was previously built and published with PDE (so there's no incorrect pom.xml setting for the packaging type) and the feature.xml is just a list of the hamcrest plugins and worked fine with 0.15 and 0.16. I found this JBoss issue where Mickael mentions the execution environment [3]. I tried making a new eclipse-feature project and rebuilding the feature jar but it had no effect.

[1] http://eclipse.org/tycho/sitedocs-extras/index.html
[2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=395281
[3] https://issues.jboss.org/browse/JBIDE-10828



-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Monday, March 18, 2013 5:58 AM
To: Tycho user list
Subject: [tycho-user] please test staged tycho 0.17.0

Tycho milestone release 0.17.0 has been staged.
For details of new features and bugfixes, see release notes [1].

Please help by testing the staged milestone build.
To use it, change your tycho version to 0.17.0 and add snippet [2] to your pom.
We encourage you to also test with an empty local Maven repository, so that p2's new Apache httpclient v4 is tested more extensively.

We plan to promote this release on Friday unless major regressions are found (and EclipseCon is canceled ;).

Regards,
Tycho team

---

[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-913/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user

----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Sievers, Jan
2013-03-19 07:40:35 UTC
Permalink
see my comments inline.
Post by Justin Georgeson
First the sitedocs-extras link in the release notes [1] doesn't work so my only references was the bug [2].
sitedocs will be published once we release only.
Post by Justin Georgeson
So I've added the P2 repository to my configuration of eclipserun, and am now se
eing the eclipserun execution fail trying to find a manifest.mf/plugin.xml/fragment.xml in a cached feature jar.
This appears to be a regression. Opened
https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
workaround: use eclipse-plugin dependencies only

Regards,
Jan
Justin Georgeson
2013-03-19 14:34:20 UTC
Permalink
Are the sitedocs published somewhere else?

Any chance it will be fixed for 0.17.0? The eclipserun plugin configuration is in a company global POM and the feature we specify in the configuration is defined uniquely for each release. So I would have to duplicate the eclipserun plugin configuration to all our releases.

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Tuesday, March 19, 2013 2:41 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.17.0

see my comments inline.
Post by Justin Georgeson
First the sitedocs-extras link in the release notes [1] doesn't work so my only references was the bug [2].
sitedocs will be published once we release only.
Post by Justin Georgeson
So I've added the P2 repository to my configuration of eclipserun, and
am now se eing the eclipserun execution fail trying to find a manifest.mf/plugin.xml/fragment.xml in a cached feature jar.
This appears to be a regression. Opened
https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
workaround: use eclipse-plugin dependencies only

Regards,
Jan
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user

----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Jeff MAURY
2013-03-19 14:46:18 UTC
Permalink
OK for me except that I am using the eclipserun plugin to run the
DirectorApp and I did not yet manage to make it run: some services are
not registered, so I suspect a config.ini must be specified to specify some
start levels.
Will try tomorrow as I am out of the office now

Jeff
Post by Justin Georgeson
Are the sitedocs published somewhere else?
Any chance it will be fixed for 0.17.0? The eclipserun plugin
configuration is in a company global POM and the feature we specify in the
configuration is defined uniquely for each release. So I would have to
duplicate the eclipserun plugin configuration to all our releases.
-----Original Message-----
Sent: Tuesday, March 19, 2013 2:41 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.17.0
see my comments inline.
Post by Justin Georgeson
First the sitedocs-extras link in the release notes [1] doesn't work so
my only references was the bug [2].
sitedocs will be published once we release only.
Post by Justin Georgeson
So I've added the P2 repository to my configuration of eclipserun, and
am now se eing the eclipserun execution fail trying to find a
manifest.mf/plugin.xml/fragment.xml in a cached feature jar.
This appears to be a regression. Opened
https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
workaround: use eclipse-plugin dependencies only
Regards,
Jan
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and
privileged information for the sole use of the intended recipient. Any
review, use, distribution, or disclosure by others is strictly prohibited.
If you are not the intended recipient (or authorized to receive
information for the intended recipient), please contact the sender by reply
e-mail and delete all copies of this message.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
--
Jeff MAURY


"Legacy code" often differs from its suggested alternative by actually
working and scaling.
- Bjarne Stroustrup

http://www.jeffmaury.com
http://riadiscuss.jeffmaury.com
http://www.twitter.com/jeffmaury
Sievers, Jan
2013-03-19 15:12:43 UTC
Permalink
Post by Justin Georgeson
Are the sitedocs published somewhere else?
not for now. they will be once we release.
you can always run 'mvn clean install site site:stage' on [1] to generate them locally.
Post by Justin Georgeson
Any chance it will be fixed for 0.17.0?
I have a fix
https://git.eclipse.org/r/#/c/11303/

will probably re-stage 0.17.0 tomorrow with the fix.

Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Tuesday, March 19, 2013 2:41 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.17.0

see my comments inline.
Post by Justin Georgeson
First the sitedocs-extras link in the release notes [1] doesn't work so my only references was the bug [2].
sitedocs will be published once we release only.
Post by Justin Georgeson
So I've added the P2 repository to my configuration of eclipserun, and
am now se eing the eclipserun execution fail trying to find a manifest.mf/plugin.xml/fragment.xml in a cached feature jar.
This appears to be a regression. Opened
https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
workaround: use eclipse-plugin dependencies only

Regards,
Jan
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user

----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Sievers, Jan
2013-03-19 15:14:03 UTC
Permalink
forgot

[1] http://git.eclipse.org/c/tycho/org.eclipse.tycho.extras.git/

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Dienstag, 19. März 2013 16:13
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.17.0
Post by Justin Georgeson
Are the sitedocs published somewhere else?
not for now. they will be once we release.
you can always run 'mvn clean install site site:stage' on [1] to generate them locally.
Post by Justin Georgeson
Any chance it will be fixed for 0.17.0?
I have a fix
https://git.eclipse.org/r/#/c/11303/

will probably re-stage 0.17.0 tomorrow with the fix.

Jan

-----Original Message-----
From: tycho-user-***@eclipse.org [mailto:tycho-user-***@eclipse.org] On Behalf Of Sievers, Jan
Sent: Tuesday, March 19, 2013 2:41 AM
To: Tycho user list
Subject: Re: [tycho-user] please test staged tycho 0.17.0

see my comments inline.
Post by Justin Georgeson
First the sitedocs-extras link in the release notes [1] doesn't work so my only references was the bug [2].
sitedocs will be published once we release only.
Post by Justin Georgeson
So I've added the P2 repository to my configuration of eclipserun, and
am now se eing the eclipserun execution fail trying to find a manifest.mf/plugin.xml/fragment.xml in a cached feature jar.
This appears to be a regression. Opened
https://bugs.eclipse.org/bugs/show_bug.cgi?id=403716
workaround: use eclipse-plugin dependencies only

Regards,
Jan
_______________________________________________
tycho-user mailing list
tycho-***@eclipse.org
https://dev.eclipse.org/mailman/listinfo/tycho-user

----------------------------------------------------------------------
This e-mail, including any attached files, may contain confidential and privileged information for the sole use of the intended recipient. Any review, use, distribution, or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive information for the intended recipient), please contact the sender by reply e-mail and delete all copies of this message.
Mickael Istria
2013-03-19 11:56:44 UTC
Permalink
Hello,

I tested 0.17.0 on
* Eclipse SWTBot
* Eclipse Nebula
* JBoss Tools target-platforms
* Several JBoss Tools components (plugins/tests/features/site)
* JBoss Tools Aggregation sites
* JBoss Developer Studio plugins, sites and products
And I did not notice any regression.

Although I did not give a real try to new features, I really appreciate
the bug fixes. I'm also pleased to see that the Mojos we've been
developing and using with Tycho 0.16 are still working with Tycho 0.17.

Thanks for this upcoming good release!
--
Mickael Istria
Eclipse developer at JBoss, by Red Hat <http://www.jboss.org/tools>
My blog <http://mickaelistria.wordpress.com> - My Tweets
<http://twitter.com/mickaelistria>
Stephan Leicht Vogt
2013-03-19 13:16:24 UTC
Permalink
Hi Jan

I ran the Eclipse Scout Build against the staged 0.17.0 tycho milestone without problems.

Thanks and greetings
Stephan

---
Stephan Leicht Vogt
Senior Software Engineer

BSI Business Systems Integration AG
Täfernstrasse 16a, CH-5405 Baden
Phone (direct): +41 56 484 19 47
www.bsiag.com
Post by Sievers, Jan
Tycho milestone release 0.17.0 has been staged.
For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build.
To use it, change your tycho version to 0.17.0 and add snippet [2] to your pom.
We encourage you to also test with an empty local Maven repository,
so that p2's new Apache httpclient v4 is tested more extensively.
We plan to promote this release on Friday unless major regressions are found (and EclipseCon is canceled ;).
Regards,
Tycho team
---
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-913/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Eric Gwin
2013-03-19 17:43:37 UTC
Permalink
EclipseLink built against the staged 0.17.0 without issue.
Post by Sievers, Jan
Tycho milestone release 0.17.0 has been staged.
For details of new features and bugfixes, see release notes [1].
Please help by testing the staged milestone build.
To use it, change your tycho version to 0.17.0 and add snippet [2] to your pom.
We encourage you to also test with an empty local Maven repository,
so that p2's new Apache httpclient v4 is tested more extensively.
We plan to promote this release on Friday unless major regressions are found (and EclipseCon is canceled ;).
Regards,
Tycho team
---
[1] http://wiki.eclipse.org/Tycho/Release_Notes/0.17
[2]
<pluginRepositories>
<pluginRepository>
<id>tycho-staged</id>
<url>https://oss.sonatype.org/content/repositories/orgeclipsetycho-913/</url>
</pluginRepository>
</pluginRepositories>
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Continue reading on narkive:
Loading...